# DASetLocalAdicFunctionib

Caches in a DA a block local functioni computed by ADIC/ADIFOR Collective on DA

### Synopsis

    PetscErrorCode DASetLocalAdicFunctionib(DA da,PetscInt (ad_lf*)(DALocalInfo*,MatStencil*,void*,void*,void*)

### Input Parameter

| da | - initial distributed array
| ad_lfi | - the local function as computed by ADIC/ADIFOR

### Keywords

distributed array, refine

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DAGetLocalFunction(), DASetLocalFunction(),
DASetLocalJacobian(), DASetLocalFunctionib()

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages